Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2911893003: Deprecate NonThreadSafe in remoting in favor of SequenceChecker. (Closed)

Created:
2 years, 5 months ago by gab
Modified:
2 years, 5 months ago
Reviewers:
Sergey Ulanov
CC:
chromium-reviews, mac-reviews_chromium.org, chromoting-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Deprecate NonThreadSafe in remoting in favor of SequenceChecker. Note to crash team: This CL is a refactor and has no intended behavior change. This change was scripted by https://crbug.com/676387#c8. Note-worthy for the reviewer: * SequenceChecker enforces thread-safety but not thread-affinity! If the classes that were updated are thread-affine (use thread local storage or a third-party API that does) they should be migrated to ThreadChecker instead. * ~NonThreadSafe() used to implcitly check in its destructor ~Sequence/ThreadChecker() doesn't by design. To keep this CL a no-op, an explicit check was added to the destructor of migrated classes. * NonThreadSafe used to provide access to subclasses, as such the |sequence_checker_| member was made protected rather than private where necessary. BUG=676387 This CL was uploaded by git cl split. R=sergeyu@chromium.org Review-Url: https://codereview.chromium.org/2911893003 Cr-Commit-Position: refs/heads/master@{#476279} Committed: https://chromium.googlesource.com/chromium/src/+/bf77513ab512c29a2f27b71dbd0510b7ef9695f1

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+314 lines, -245 lines) Patch
M remoting/base/oauth_token_getter_impl.h View 3 chunks +3 lines, -2 lines 0 comments Download
M remoting/base/oauth_token_getter_impl.cc View 9 chunks +14 lines, -12 lines 0 comments Download
M remoting/base/rate_counter.h View 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/base/rate_counter.cc View 2 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/chromoting_host.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/chromoting_host.cc View 10 chunks +11 lines, -11 lines 0 comments Download
M remoting/host/client_session.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/client_session.cc View 14 chunks +18 lines, -18 lines 0 comments Download
M remoting/host/continue_window.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/continue_window_linux.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/continue_window_mac.mm View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/continue_window_win.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/disconnect_window_linux.cc View 7 chunks +7 lines, -7 lines 0 comments Download
M remoting/host/disconnect_window_mac.mm View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/disconnect_window_win.cc View 6 chunks +6 lines, -6 lines 0 comments Download
M remoting/host/host_status_logger.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/host_status_logger.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/host_window.h View 2 chunks +9 lines, -7 lines 0 comments Download
A remoting/host/host_window.cc View 1 chunk +13 lines, -0 lines 0 comments Download
M remoting/host/host_window_proxy.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M remoting/host/ipc_host_event_logger.h View 3 chunks +4 lines, -5 lines 0 comments Download
M remoting/host/ipc_host_event_logger.cc View 3 chunks +8 lines, -8 lines 0 comments Download
M remoting/host/local_input_monitor_mac.mm View 4 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/local_input_monitor_win.cc View 4 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/local_input_monitor_x11.cc View 5 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/native_messaging/pipe_messaging_channel.h View 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/native_messaging/pipe_messaging_channel.cc View 3 chunks +7 lines, -5 lines 0 comments Download
M remoting/host/policy_watcher.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/policy_watcher.cc View 2 chunks +2 lines, -1 line 0 comments Download
M remoting/host/setup/win/auth_code_getter.h View 2 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/setup/win/auth_code_getter.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/signaling_connector.h View 3 chunks +3 lines, -2 lines 0 comments Download
M remoting/host/signaling_connector.cc View 9 chunks +10 lines, -9 lines 0 comments Download
M remoting/host/win/rdp_client.h View 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/win/rdp_client.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M remoting/host/win/unprivileged_process_delegate.h View 3 chunks +5 lines, -5 lines 0 comments Download
M remoting/host/win/unprivileged_process_delegate.cc View 6 chunks +10 lines, -10 lines 0 comments Download
M remoting/host/win/worker_process_launcher.h View 3 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/win/worker_process_launcher.cc View 12 chunks +14 lines, -14 lines 0 comments Download
M remoting/host/win/wts_session_process_delegate.h View 3 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/win/wts_session_process_delegate.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 6 chunks +6 lines, -3 lines 0 comments Download
M remoting/protocol/ice_connection_to_host.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/protocol/ice_connection_to_host.cc View 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/protocol/jingle_session_manager.h View 2 chunks +3 lines, -0 lines 0 comments Download
M remoting/protocol/jingle_session_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/message_reader.h View 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/protocol/message_reader.cc View 5 chunks +8 lines, -6 lines 0 comments Download
M remoting/protocol/pseudotcp_adapter.h View 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/protocol/pseudotcp_adapter.cc View 2 chunks +9 lines, -8 lines 0 comments Download
M remoting/protocol/session_manager.h View 2 chunks +1 line, -2 lines 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/protocol/stream_channel_factory.h View 2 chunks +4 lines, -2 lines 0 comments Download
M remoting/signaling/fake_signal_strategy.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/signaling/fake_signal_strategy.cc View 5 chunks +12 lines, -11 lines 0 comments Download
M remoting/signaling/log_to_server.h View 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/signaling/log_to_server.cc View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 19 (12 generated)
gab
Hi, this is an automated change made by https://crbug.com/676387#c8 and sharded across directories for OWNERS. ...
2 years, 5 months ago (2017-05-29 19:14:14 UTC) #2
gab
friendly ping, please CQ if LGTYs
2 years, 5 months ago (2017-05-31 18:11:03 UTC) #9
Sergey Ulanov
lgtm
2 years, 5 months ago (2017-05-31 18:47:14 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2911893003/1
2 years, 5 months ago (2017-05-31 18:48:33 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/227559)
2 years, 5 months ago (2017-05-31 19:36:14 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2911893003/1
2 years, 5 months ago (2017-06-01 13:49:40 UTC) #16
commit-bot: I haz the power
2 years, 5 months ago (2017-06-01 14:35:51 UTC) #19
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/bf77513ab512c29a2f27b71dbd05...

Powered by Google App Engine
This is Rietveld 408576698